GNUmed(1)

NAME
GNUmed - an electronic MEDICAL record software for GP offices This is not fully featured yet. Use at your own risk. You have been warned.

SYNOPSIS
gnumed [--quiet|debug] [--slave] [--text-domain=TEXTDOMAIN] [--log-file=FILE] [--conf-file=FILE] [--lang-gettext=LANGUAGE] [--ui=UI-TYPE] [--override-schema-check] [--local-import] [--help] [--version] [-V] [-h|?]

DESCRIPTION
GNUmed is a solution for keeping safe and medically sound electronic records on a patient's health. It primarily focuses on GP offices. It is released under the GPL. GNUmed is written in Python with wxPython/wxWindows. Data is stored in a PostgreSQL database. Multiple clients can work with the same database at the same time.

OPTIONS

--quiet
    Be extra quiet and show only _real_ errors in the log.

--debug
    Pre-set the [debug mode] checkbox in the login dialog which controls increased verbosity in the log file. Useful for, well, debugging :-) Slower, too.

--slave
    Pre-set the [enable remote control] checkbox in the login dialog to enable the XML-RPC remote control feature.

--hipaa
    Enable HIPAA features with user workflow impact. Those features which do not affect the workflow of the user are permanently enabled.

--text-domain=TEXTDOMAIN
    Set this to change the name of the language file to be loaded. Note, this does not change the directory the file is searched in, only the name of the file where messages are loaded from. The standard textdomain is, of course, "gnumed.mo". You need only specify the base name of the file without the .mo extension.

--log-file=FILE
    Use this to change the name of the log file. The default log file would be <~/.gnumed/gnumed.log>.

--conf-file=FILE
    Use configuration file FILE instead of searching for it in standard locations.

--lang-gettext=LANGUAGE
    Explicitly set the language to use in gettext translation. The very same effect can be achieved by setting the environment variable $LANG from a launcher script.

--ui=UI-TYPE
    Explicitely set the user interface type. Omitting this argument will default the interface to wxPython. Valid values are:
        web: CherryPy web client
        wxp: wxPython Python client (default)

--override-schema-check
    Continue loading the client even if the database schema version and the client software version cannot be verified to be compatible.

--skip-update-check
    Skip checking for client updates. This is useful during development or when the update check URL is unavailable.

--local-import
    At startup adjust the PYTHONPATH such that the GNUmed client is run from a local copy of the source tree rather than from a proper system-wide installation.

--version, -V
    Show version information about the GNUmed client and the database it needs.

--help, -h, or -?
    Well, show this help.

ENVIRONMENT

LANG, LC_MESSAGES, etc.
    See gettext(1) for how the various locale related environment variables work.

FILES

~/etc/gnumed/gnumed-client.conf
    The system-wide configuration file.

~/.gnumed/gnumed.conf
    The user-specific configuration file.

~/.gnumed/gnumed.log
    The default log file.

SEE ALSO

http://wiki.gnumed.de
    Detailed Wiki-style documentation

http://www.gnumed.org
    Users' website

http://www.gnumed.de
    German website

http://savannah.gnu.org/projects/gnumed
    Mailing list home

http://gitorious.org/gnumed
    Source code repository (Git)

/usr/share/doc/gnumed/
    Local documentation

man -k gm-*
    List man pages on gm-* commands.

gettext(1)

BUGS
A lot of functionality is still missing. However, to make up for that, we deliver a plethora of bugs for your amusement :-) Use at your own risk. You have been warned. Take proper backups !